> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# In case a transaction was missed by a relayer, this endpoint can be used to force a tx to be re-fetched.



## OpenAPI

````yaml get /v1/gas/refetch
openapi: 3.0.2
info:
  title: LI.FI API
  version: 1.0.0
  description: >-
    LI.FI provides the best cross-chain swap across all liquidity pools and
    bridges.
servers:
  - url: https://li.quest
    description: LI.FI Production Environment
  - url: https://staging.li.quest
    description: LI.FI Staging Environment
security: []
paths:
  /v1/gas/refetch:
    get:
      summary: >-
        In case a transaction was missed by a relayer, this endpoint can be used
        to force a tx to be re-fetched.
      parameters:
        - example: '0x74546ce8aac58d33c212474293dcfeeadecef115847da75131a2ff6692e03b96'
          name: txHash
          description: The transaction hash that started the gas refilling process
          schema:
            type: string
          in: query
          required: true
        - example: POL
          name: chainId
          description: The chain where the deposit was originally made
          schema:
            type: string
          in: query
          required: true
        - name: x-lifi-api-key
          description: >-
            Authentication header, register in the LI.FI Partner Portal
            (https://portal.li.fi/ ) to get your API Key.
          schema:
            type: string
          in: header
      responses:
        '200':
          $ref: '#/components/responses/LIFuelStatusResponse'
      deprecated: true
components:
  responses:
    LIFuelStatusResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/LIFuelStatus'
      description: The status of a lifuel operation
  schemas:
    LIFuelStatus:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/LIFuelStatusStateEnum'
        sending:
          $ref: '#/components/schemas/TxInfo'
        receiving:
          $ref: '#/components/schemas/TxInfo'
    LIFuelStatusStateEnum:
      enum:
        - NOT_FOUND
        - PENDING
        - DONE
    TxInfo:
      type: object
      properties:
        txHash:
          type: string
          example: '0x74546ce8aac58d33c212474293dcfeeadecef115847da75131a2ff6692e03b96'
        txLink:
          type: string
          example: >-
            https://polygonscan.com/tx/0x74546ce8aac58d33c212474293dcfeeadecef115847da75131a2ff6692e03b96
        amount:
          description: The amount of token that will be / has been relayed
          type: string
          example: '10000'
        token:
          $ref: '#/components/schemas/Token'
        chainId:
          type: number
          example: 137
        block:
          type: number
          example: 39397739
    Token:
      title: Root Type for Token
      description: Representation of a Token
      required:
        - address
        - chainId
        - decimals
        - name
        - symbol
      type: object
      properties:
        address:
          description: Address of the token
          type: string
        decimals:
          format: number
          description: Number of decimals the token uses
          type: number
        symbol:
          description: Symbol of the token
          type: string
        chainId:
          format: number
          description: Id of the token's chain
          type: number
        coinKey:
          description: Identifier for the token
          type: string
        name:
          description: Name of the token
          type: string
        logoURI:
          description: Logo of the token
          type: string
        priceUSD:
          description: Token price in USD
          type: string
      example:
        address: '0x8f3cf7ad23cd3cadbd9735aff958023239c6a063'
        symbol: DAI
        decimals: 18
        chainId: 137
        name: (PoS) Dai Stablecoin
        coinKey: DAI
        priceUSD: '1'
        logoURI: >-
          https://static.debank.com/image/matic_token/logo_url/0x8f3cf7ad23cd3cadbd9735aff958023239c6a063/549c4205dbb199f1b8b03af783f35e71.png

````